## cantata 1.0.3

=== CMakeLists.txt ===
PROJECT( cantata )

cmake_minimum_required( VERSION 2.6 )

set( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET(CPACK_SOURCE_IGNORE_FILES ${CPACK_SOURCE_IGNORE_FILES} "/.svn/")
set(CPACK_GENERATOR "DEB;RPM;TGZ")
set(DEBIAN_PACKAGE_DESCRIPTION "Qt4/KDE4 Client for MPD")
set(DEBIAN_PACKAGE_SECTION "kde4")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "0")
set(CPACK_PACKAGE_VERSION_PATCH "3")
set(CPACK_PACKAGE_VERSION_SPIN "")
set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
set(CANTATA_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(CANTATA_VERSION_FULL "${CANTATA_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CANTATA_VERSION_FULL}${CPACK_PACKAGE_VERSION_SPIN}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CANTATA_VERSION_FULL}${CPACK_PACKAGE_VERSION_SPIN}")
include(CPack)

OPTION(ENABLE_TAGLIB "Enable TagLib library (required for tag editing, replaygain calculation, device support, etc)" ON)
OPTION(ENABLE_TAGLIB_EXTRAS "Enable TagLib-Extras library (used by tag editing, replaygain calculation, device support, etc)" ON)
OPTION(ENABLE_PHONON "Enable Phonon library (required to playback MPD HTTP streams)" OFF)
OPTION(ENABLE_KDE "Enable KDE libraries" ON)
OPTION(ENABLE_QT5 "Build against Qt5" OFF)
OPTION(ENABLE_MTP "Enable MTP library (required to support MTP devices)" ON)
OPTION(ENABLE_FFMPEG "Enable ffmpeg/libav libraries (required for replaygain calculation)" ON)
OPTION(ENABLE_MPG123 "Enable mpg123 libraries (required for replaygain calculation)" ON)
OPTION(ENABLE_SPEEXDSP "Enable SpeexDSP libraries (used to speed-up replaygain calculation)" ON)
OPTION(ENABLE_UDISKS2 "Build UDisks2 backend, and NOT UDisks, for Qt builds" OFF)
OPTION(ENABLE_OVERLAYSCROLLBARS "Enable support for overlay style scrollbars when using QGtkStyle (Linux only)" OFF)
OPTION(ENABLE_ONLINE_SERVICES "Enable support for online services (Jamendo and Magantune)" ON)

if (ENABLE_QT5)
    set(ENABLE_PHONON FALSE)
    set(ENABLE_KDE FALSE)
endif (ENABLE_QT5)

if (ENABLE_UDISKS2)
    set (WITH_SOLID_UDISKS2 ON)
endif (ENABLE_UDISKS2)

macro(cantata_check_for_sse)
    # check for SSE extensions
    include(CheckCXXSourceRuns)
    if( CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX )
        set(CMAKE_REQUIRED_FLAGS "-msse3")
        check_cxx_source_runs("
            #include <pmmintrin.h>
            int main() { __m128d a, b; double vals[2] = {0}; a = _mm_loadu_pd(vals); b = _mm_hadd_pd(a,a); _mm_storeu_pd(vals, b); return 0; }"
            HAS_SSE3_EXTENSIONS)
        if(HAS_SSE3_EXTENSIONS)
            add_definitions("-msse3 -mfpmath=sse")
        else(HAS_SSE3_EXTENSIONS)
            # No sse3, check sse2
            set(CMAKE_REQUIRED_FLAGS "-msse2")
            check_cxx_source_runs("
                #include <emmintrin.h>
                int main() { __m128d a, b; double vals[2] = {0}; a = _mm_loadu_pd(vals); b = _mm_add_pd(a,a);  _mm_storeu_pd(vals,b); return 0; }"
                HAS_SSE2_EXTENSIONS)
            if(HAS_SSE2_EXTENSIONS)
                add_definitions("-msse2 -mfpmath=sse")
            else(HAS_SSE2_EXTENSIONS)
                # No sse2, check sse
                set(CMAKE_REQUIRED_FLAGS "-msse")
                check_cxx_source_runs("
                    #include <xmmintrin.h>
                    int main() { __m128 a, b; float vals[4] = {0}; a = _mm_loadu_ps(vals); b = a; b = _mm_add_ps(a,b); _mm_storeu_ps(vals,b); return 0; }"
                    HAS_SSE_EXTENSIONS)
                if(HAS_SSE_EXTENSIONS)
                    add_definitions("-msse -mfpmath=sse")
                endif(HAS_SSE_EXTENSIONS)
            endif(HAS_SSE2_EXTENSIONS)
        endif(HAS_SSE3_EXTENSIONS)
        set(CMAKE_REQUIRED_FLAGS)
    elseif(MSVC)
        check_cxx_source_runs("
            #include <emmintrin.h>
            int main() { __m128d a, b; double vals[2] = {0}; a = _mm_loadu_pd(vals);  b = _mm_add_pd(a,a);  _mm_storeu_pd(vals,b); return 0; }"
            HAS_SSE2_EXTENSIONS)
    endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
endmacro(cantata_check_for_sse)

SET( CANTATA_SRCS gui/application.cpp gui/main.cpp gui/initialsettingswizard.cpp gui/mainwindow.cpp gui/preferencesdialog.cpp
    gui/settings.cpp gui/covers.cpp gui/filesettings.cpp gui/interfacesettings.cpp gui/playbacksettings.cpp gui/serverplaybacksettings.cpp
    gui/serversettings.cpp gui/librarypage.cpp gui/albumspage.cpp gui/folderpage.cpp gui/playlistspage.cpp gui/infopage.cpp gui/trayitem.cpp
    gui/cachesettings.cpp gui/coverdialog.cpp gui/stdactions.cpp
    streams/streamspage.cpp streams/streamdialog.cpp streams/streamcategorydialog.cpp streams/streamfetcher.cpp streams/webstreams.cpp
    models/musiclibraryitemroot.cpp models/musiclibraryitemartist.cpp models/musiclibraryitemalbum.cpp models/musiclibrarymodel.cpp
    models/musiclibraryproxymodel.cpp models/playlistsmodel.cpp models/playlistsproxymodel.cpp models/playqueuemodel.cpp
    models/playqueueproxymodel.cpp models/dirviewmodel.cpp models/dirviewproxymodel.cpp models/dirviewitem.cpp models/dirviewitemdir.cpp
    models/streamsmodel.cpp models/streamsproxymodel.cpp models/albumsmodel.cpp models/albumsproxymodel.cpp models/proxymodel.cpp
    models/actionmodel.cpp
    mpd/mpdconnection.cpp mpd/mpdparseutils.cpp mpd/mpdstats.cpp mpd/mpdstatus.cpp mpd/song.cpp
    dynamic/dynamic.cpp dynamic/dynamicpage.cpp dynamic/dynamicproxymodel.cpp dynamic/dynamicruledialog.cpp dynamic/dynamicrulesdialog.cpp
    widgets/treeview.cpp widgets/listview.cpp widgets/itemview.cpp widgets/autohidingsplitter.cpp widgets/timeslider.cpp
    widgets/actionlabel.cpp widgets/playqueueview.cpp widgets/groupedview.cpp widgets/actionitemdelegate.cpp widgets/textbrowser.cpp
    widgets/coverwidget.cpp widgets/volumecontrol.cpp widgets/icons.cpp widgets/genrecombo.cpp widgets/toolbar.cpp widgets/menubutton.cpp
    widgets/toolbutton.cpp widgets/wizardpage.cpp widgets/headerlabel.cpp widgets/statuslabel.cpp
    lyrics/lyricspage.cpp lyrics/lyricsettings.cpp lyrics/ultimatelyricsprovider.cpp lyrics/ultimatelyrics.cpp lyrics/lyricsdialog.cpp
    network/networkaccessmanager.cpp
    devices/deviceoptions.cpp)
SET( CANTATA_MOC_HDRS
    gui/initialsettingswizard.h gui/mainwindow.h gui/settings.h gui/covers.h gui/folderpage.h gui/librarypage.h gui/albumspage.h
    gui/playlistspage.h gui/infopage.h gui/serverplaybacksettings.h gui/serversettings.h gui/preferencesdialog.h gui/filesettings.h
    gui/interfacesettings.h gui/cachesettings.h gui/trayitem.h gui/coverdialog.h
    streams/streamspage.h streams/streamdialog.h streams/streamcategorydialog.h streams/streamfetcher.h streams/webstreams.h
    models/musiclibrarymodel.h models/musiclibraryproxymodel.h models/playlistsmodel.h models/playlistsproxymodel.h models/playqueuemodel.h
    models/playqueueproxymodel.h models/dirviewmodel.h models/dirviewproxymodel.h models/albumsmodel.h models/streamsmodel.h
    models/actionmodel.h
    mpd/mpdconnection.h mpd/mpdstats.h mpd/mpdstatus.h
    dynamic/dynamic.h dynamic/dynamicpage.h dynamic/dynamicruledialog.h dynamic/dynamicrulesdialog.h
    widgets/treeview.h widgets/listview.h widgets/itemview.h widgets/autohidingsplitter.h widgets/timeslider.h widgets/actionlabel.h
    widgets/playqueueview.h widgets/groupedview.h widgets/actionitemdelegate.h widgets/coverwidget.h widgets/volumecontrol.h
    widgets/genrecombo.h widgets/toolbar.h
    lyrics/lyricspage.h lyrics/lyricsettings.h lyrics/ultimatelyrics.h lyrics/ultimatelyricsprovider.h lyrics/lyricsdialog.h
    network/networkaccessmanager.h)
SET( CANTATA_UIS
    gui/initialsettingswizard.ui gui/mainwindow.ui gui/folderpage.ui gui/librarypage.ui gui/albumspage.ui gui/playlistspage.ui
    gui/filesettings.ui gui/interfacesettings.ui gui/playbacksettings.ui gui/serverplaybacksettings.ui gui/serversettings.ui
    gui/coverdialog.ui
    streams/streamspage.ui
    dynamic/dynamicpage.ui dynamic/dynamicrule.ui dynamic/dynamicrules.ui
    lyrics/lyricspage.ui lyrics/lyricsettings.ui
    widgets/itemview.ui)

if (ENABLE_ONLINE_SERVICES)
    SET( CANTATA_SRCS ${CANTATA_SRCS} online/onlineservicespage.cpp online/onlineservice.cpp online/jamendoservice.cpp
        online/jamendosettingsdialog.cpp online/magnatuneservice.cpp online/magnatunesettingsdialog.cpp online/onlinedevice.cpp
        models/onlineservicesmodel.cpp)
    SET( CANTATA_MOC_HDRS ${CANTATA_MOC_HDRS} online/onlineservice.h online/onlineservicespage.h online/jamendoservice.h
        online/magnatuneservice.h online/magnatunesettingsdialog.h online/onlinedevice.h models/onlineservicesmodel.h)
    SET( CANTATA_UIS ${CANTATA_UIS} online/onlineservicespage.ui)
endif (ENABLE_ONLINE_SERVICES)

find_package( Cdparanoia )
if (CDPARANOIA_FOUND) 
    find_package( CDDB )
    find_package( MusicBrainz5 )
    find_package( Lame )
endif (CDPARANOIA_FOUND)

if (ENABLE_TAGLIB)
    set(TAGLIB_MIN_VERSION "1.6")
    find_package(Taglib)
endif (ENABLE_TAGLIB)

if (ENABLE_OVERLAYSCROLLBARS)
    add_definitions(-DENABLE_OVERLAYSCROLLBARS)
endif (ENABLE_OVERLAYSCROLLBARS)

if (TAGLIB_FOUND)
    SET( CANTATA_SRCS ${CANTATA_SRCS}
        tags/tageditor.cpp tags/trackorganiser.cpp tags/tags.cpp
        devices/filenameschemedialog.cpp
        http/httpserversettings.cpp http/httpserver.cpp http/httpsocket.cpp)
    SET( CANTATA_MOC_HDRS ${CANTATA_MOC_HDRS}
        tags/tageditor.h tags/trackorganiser.h
        http/httpserversettings.h http/httpsocket.h
        devices/filenameschemedialog.h)
    SET( CANTATA_UIS ${CANTATA_UIS}
        http/httpserversettings.ui
        tags/tageditor.ui tags/trackorganiser.ui
        devices/filenameschemedialog.ui)
endif (TAGLIB_FOUND)

if (TAGLIB_FOUND OR ENABLE_ONLINE_SERVICES)
    SET( CANTATA_MOC_HDRS ${CANTATA_MOC_HDRS} devices/device.h)
endif (TAGLIB_FOUND OR ENABLE_ONLINE_SERVICES)

if (NOT WIN32)
    SET( CANTATA_SRCS ${CANTATA_SRCS} dbus/mpris.cpp dbus/gnomemediakeys.cpp devices/mountpoints.cpp )
    SET( CANTATA_MOC_HDRS ${CANTATA_MOC_HDRS} dbus/mpris.h dbus/gnomemediakeys.h devices/mountpoints.h )
    SET( CANTATA_SRCS ${CANTATA_SRCS} dbus/notify.cpp)
    SET( CANTATA_MOC_HDRS ${CANTATA_MOC_HDRS} dbus/notify.h)
endif(NOT WIN32)

SET( CANTATA_RCS cantata.qrc )

include_directories( ${CMAKE_SOURCE_DIR}/gui ${CMAKE_SOURCE_DIR}/mpd ${CMAKE_SOURCE_DIR}/models ${CMAKE_SOURCE_DIR}/widgets
                     ${CMAKE_SOURCE_DIR}/lyrics ${CMAKE_SOURCE_DIR}/network ${CMAKE_SOURCE_DIR}/dbus ${CMAKE_SOURCE_DIR}/http
                     ${CMAKE_SOURCE_DIR}/devices ${CMAKE_SOURCE_DIR}/dynamic ${CMAKE_SOURCE_DIR}/support ${CMAKE_SOURCE_DIR}/streams
                     ${CMAKE_SOURCE_DIR}/tags ${CMAKE_SOURCE_DIR}/online ${CMAKE_SOURCE_DIR}/3rdparty ${CMAKE_SOURCE_DIR}
                     ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/support)

if (ENABLE_QT5)
    find_package(Qt5Widgets REQUIRED)
    find_package(Qt5Xml REQUIRED)
    find_package(Qt5Network REQUIRED)
    find_package(Qt5Concurrent REQUIRED)
    set (QTLIBS ${Qt5Widgets_LIBRARIES} ${Qt5Network_LIBRARIES} ${Qt5Xml_LIBRARIES} ${Qt5Concurrent_LIBRARIES})
    set (QTINCLUDES ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Network_INCLUDE_DIRS} ${Qt5Xml_INCLUDE_DIRS} ${Qt5Core_INCLUDE_DIRS} ${Qt5Concurrent_INCLUDE_DIRS})
    add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Network_DEFINITIONS} ${Qt5Xml_DEFINITIONS} ${Qt5Concurrent_DEFINITIONS})
    set (CMAKE_CXX_FLAGS "${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
    if(NOT WIN32)
        find_package(Qt5DBus REQUIRED)
        set (QTLIBS ${QTLIBS} ${Qt5DBus_LIBRARIES})
        set (QTINCLUDES ${QTINCLUDES} ${Qt5DBus_INCLUDE_DIRS})
        add_definitions(${Qt5DBus_DEFINITIONS})
    endif(NOT WIN32)
else (ENABLE_QT5)
    find_package(Qt4 REQUIRED QtCore QtGui QtXml QtNetwork)

=== support/CMakeLists.txt ===
SET( SUPPORT_SRCS
    action.cpp
    actioncollection.cpp
    fancytabwidget.cpp
    messagewidget.cpp
    icon.cpp
    lineedit.cpp
    gtkstyle.cpp
    utils.cpp
    spinner.cpp
    messagebox.cpp
    inputdialog.cpp
    thread.cpp
)

SET( SUPPORT_MOC_HDRS
    action.h
    actioncollection.h
    fancytabwidget.h
    messagewidget.h
    thread.h
)

if (NOT WIN32)
    SET( SUPPORT_SRCS ${SUPPORT_SRCS} onoffbutton.cpp spinbox.cpp windowmanager.cpp gtkproxystyle.cpp combobox.cpp)
    SET( SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} spinbox.h windowmanager.h gtkproxystyle.h osthumb.h)
    if (ENABLE_OVERLAYSCROLLBARS)
        add_definitions(-DENABLE_OVERLAYSCROLLBARS)
        SET( SUPPORT_SRCS ${SUPPORT_SRCS} osthumb.cpp)
        SET( SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} osthumb.h)
    endif (ENABLE_OVERLAYSCROLLBARS)
    install(FILES ambiance.css radiance.css DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${CMAKE_PROJECT_NAME}/themes)
endif (NOT WIN32)

if (ENABLE_KDE_SUPPORT )
    macro_ensure_version("4.7.0" ${KDE_VERSION} KDE_VERSION_47)
    if (NOT KDE_VERSION_47)
        SET( SUPPORT_SRCS ${SUPPORT_SRCS} kmessagewidget.cpp )
        SET( SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} kmessagewidget.h )
    endif (NOT KDE_VERSION_47)
    KDE4_ADD_UI_FILES( SUPPORT_UI_HDRS ${SUPPORT_UIS} )
    SET( SUPPORT_SRCS ${SUPPORT_SRCS} dialog.cpp)
else (ENABLE_KDE_SUPPORT)
    SET( SUPPORT_SRCS ${SUPPORT_SRCS} pathrequester.cpp kmessagewidget.cpp
        dialog.cpp pagewidget.cpp shortcutsmodel.cpp shortcutssettingspage.cpp
        keysequencewidget.cpp )
    SET( SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} pathrequester.h lineedit.h kmessagewidget.h urllabel.h
         dialog.h shortcutsmodel.h shortcutssettingspage.h keysequencewidget.h spinner.h )
    SET( SUPPORT_UIS shortcutssettingspage.ui )
    if (ENABLE_QT5)
        QT5_WRAP_UI( SUPPORT_UI_HDRS ${SUPPORT_UIS} )
    else (ENABLE_QT5)
        QT4_WRAP_UI( SUPPORT_UI_HDRS ${SUPPORT_UIS} )
    endif (ENABLE_QT5)
endif  (ENABLE_KDE_SUPPORT)

if (ENABLE_QT5)
    QT5_WRAP_CPP( SUPPORT_MOC_SRCS ${SUPPORT_MOC_HDRS} )
else (ENABLE_QT5)
    QT4_WRAP_CPP( SUPPORT_MOC_SRCS ${SUPPORT_MOC_HDRS} )
endif (ENABLE_QT5)

include_directories( ${CMAKE_CURRENT_BINARY_DIR} ${QTINCLUDES} )
add_library( support STATIC ${SUPPORT_MOC_SRCS} ${SUPPORT_SRCS} ${SUPPORT_UI_HDRS} )

=== devices/mounter/CMakeLists.txt ===
set( CANTATA_MOUNTER_SRCS main.cpp mounter.cpp )
set( CANTATA_MOUNTER_MOC_HDRS mounter.h )
if (ENABLE_QT5)
    qt5_wrap_cpp( CANTATA_MOUNTER_MOC_SRCS ${CANTATA_MOUNTER_MOC_HDRS} )
    qt5_add_dbus_adaptor(CANTATA_MOUNTER_SRCS com.googlecode.cantata.mounter.xml mounter.h Mounter )
else (ENABLE_QT5)
    qt4_wrap_cpp( CANTATA_MOUNTER_MOC_SRCS ${CANTATA_MOUNTER_MOC_HDRS} )
    qt4_add_dbus_adaptor(CANTATA_MOUNTER_SRCS com.googlecode.cantata.mounter.xml mounter.h Mounter )
    add_definitions( -DQT_NO_STL -DQT_NO_CAST_TO_ASCII -Wall -Wextra )
endif (ENABLE_QT5)

add_executable( cantata-mounter ${CANTATA_MOUNTER_SRCS} ${CANTATA_MOUNTER_MOC_SRCS} )
install( TARGETS cantata-mounter RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib )
configure_file(com.googlecode.cantata.mounter.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/com.googlecode.cantata.mounter.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/com.googlecode.cantata.mounter.service DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/system-services/ )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.googlecode.cantata.mounter.conf DESTINATION /etc/dbus-1/system.d/ )

if (ENABLE_QT5)
    target_link_libraries(cantata-mounter ${Qt5Core_LIBRARIES} ${Qt5DBus_LIBRARIES})
else (ENABLE_QT5)
    target_link_libraries(cantata-mounter ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY})
endif (ENABLE_QT5)
include_directories( ${QTINCLUDES} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR})

install(FILES ${_qmFile} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cantata/)

install(PROGRAMS mount.cifs.wrapper DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cantata/scripts/ )

=== streams/icons/CMakeLists.txt ===
file(GLOB svg_files *.svg)
file(GLOB png_files *.png)
if (WIN32)
    install(FILES ${svg_files} ${png_files} DESTINATION ${CMAKE_INSTALL_PREFIX}/streamicons/)
else (WIN32)
    install(FILES ${svg_files} ${png_files} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${CMAKE_PROJECT_NAME}/streamicons/)
endif (WIN32)

=== windows/icons/CMakeLists.txt ===
set(OXYGEN_ICONS
32x32/places/server-database.png
32x32/places/favorites.png
32x32/places/network-server.png
32x32/places/document-multiple.png
32x32/places/folder.png
32x32/actions/media-playback-pause.png
32x32/actions/document-open.png
32x32/actions/document-new.png
32x32/actions/folder-sync.png
32x32/actions/arrow-down.png
32x32/actions/tools-media-optical-burn.png
32x32/actions/view-refresh.png
32x32/actions/document-edit.png
32x32/actions/list-remove.png
32x32/actions/speaker.png
32x32/actions/list-add.png
32x32/actions/document-save.png
32x32/actions/network-connect.png
32x32/actions/document-save-as.png
32x32/actions/dialog-close.png
32x32/actions/edit-delete.png
32x32/actions/view-media-artist.png
32x32/actions/view-media-lyrics.png
32x32/actions/arrow-up.png
32x32/actions/media-skip-forward.png
32x32/actions/edit-find.png
32x32/actions/application-exit.png
32x32/actions/media-playback-start.png
32x32/actions/view-media-playlist.png
32x32/actions/dialog-ok.png
32x32/actions/view-choose.png
32x32/actions/dialog-cancel.png
32x32/actions/media-skip-backward.png
32x32/actions/configure.png
32x32/actions/edit-clear-list.png
32x32/actions/go-previous.png
32x32/actions/view-fullscreen.png
32x32/actions/system-run.png
32x32/actions/process-stop.png
32x32/actions/edit-clear-locationbar-rtl.png
32x32/actions/edit-rename.png
32x32/actions/tools-wizard.png
32x32/actions/document-import.png
32x32/actions/go-next.png
32x32/actions/media-playback-stop.png
32x32/actions/configure-shortcuts.png
32x32/actions/document-export.png
32x32/actions/edit-clear-locationbar-ltr.png
32x32/status/audio-volume-low.png
32x32/status/media-playlist-shuffle.png
32x32/status/audio-volume-muted.png
32x32/status/audio-volume-high.png
32x32/status/dialog-error.png
32x32/status/dialog-warning.png
32x32/status/audio-volume-medium.png
32x32/status/dialog-information.png
32x32/status/object-locked.png
32x32/mimetypes/inode-directory.png
32x32/mimetypes/audio-x-generic.png
32x32/categories/preferences-system-network.png
32x32/categories/preferences-other.png
32x32/categories/applications-internet.png
32x32/devices/video-display.png
32x32/devices/multimedia-player.png
32x32/devices/network-wired.png
32x32/devices/media-optical.png
32x32/apps/system-file-manager.png
32x32/apps/preferences-desktop-keyboard.png
64x64/status/dialog-error.png
64x64/status/dialog-warning.png
64x64/status/dialog-information.png
64x64/categories/preferences-system-network.png
64x64/categories/preferences-other.png
64x64/categories/applications-internet.png
64x64/devices/video-display.png
64x64/devices/multimedia-player.png
64x64/devices/network-wired.png
64x64/devices/media-optical.png
64x64/apps/preferences-desktop-keyboard.png
22x22/places/server-database.png
22x22/places/favorites.png
22x22/places/network-server.png
22x22/places/document-multiple.png
22x22/places/folder.png
22x22/actions/media-playback-pause.png
22x22/actions/document-open.png
22x22/actions/document-new.png
22x22/actions/folder-sync.png
22x22/actions/arrow-down.png
22x22/actions/tools-media-optical-burn.png
22x22/actions/view-refresh.png
22x22/actions/document-edit.png
22x22/actions/list-remove.png
22x22/actions/speaker.png
22x22/actions/list-add.png
22x22/actions/document-save.png
22x22/actions/network-connect.png
22x22/actions/document-save-as.png
22x22/actions/dialog-close.png
22x22/actions/edit-delete.png
22x22/actions/view-media-artist.png
22x22/actions/view-media-lyrics.png
22x22/actions/arrow-up.png
22x22/actions/media-skip-forward.png
22x22/actions/edit-find.png
22x22/actions/application-exit.png
22x22/actions/media-playback-start.png
22x22/actions/view-media-playlist.png
22x22/actions/dialog-ok.png
22x22/actions/view-choose.png
22x22/actions/dialog-cancel.png
22x22/actions/media-skip-backward.png
22x22/actions/configure.png
22x22/actions/edit-clear-list.png
22x22/actions/go-previous.png
22x22/actions/view-fullscreen.png
22x22/actions/system-run.png
22x22/actions/process-stop.png
22x22/actions/edit-clear-locationbar-rtl.png
22x22/actions/edit-rename.png
22x22/actions/tools-wizard.png
22x22/actions/document-import.png
22x22/actions/go-next.png
22x22/actions/media-playback-stop.png
22x22/actions/configure-shortcuts.png
22x22/actions/document-export.png
22x22/actions/edit-clear-locationbar-ltr.png
22x22/status/audio-volume-low.png
22x22/status/media-playlist-shuffle.png
22x22/status/audio-volume-muted.png
22x22/status/audio-volume-high.png
22x22/status/dialog-error.png
22x22/status/dialog-warning.png
22x22/status/audio-volume-medium.png
22x22/status/dialog-information.png
22x22/status/object-locked.png
22x22/mimetypes/inode-directory.png
22x22/mimetypes/audio-x-generic.png
22x22/categories/preferences-system-network.png
22x22/categories/preferences-other.png
22x22/categories/applications-internet.png
22x22/animations/process-working.png
22x22/devices/video-display.png
22x22/devices/multimedia-player.png
22x22/devices/network-wired.png
22x22/devices/media-optical.png
22x22/apps/system-file-manager.png
22x22/apps/preferences-desktop-keyboard.png
16x16/places/server-database.png
16x16/places/favorites.png
16x16/places/network-server.png
16x16/places/document-multiple.png
16x16/places/folder.png
16x16/actions/media-playback-pause.png
16x16/actions/document-open.png
16x16/actions/document-new.png
16x16/actions/folder-sync.png
16x16/actions/arrow-down.png
16x16/actions/tools-media-optical-burn.png
16x16/actions/view-refresh.png
16x16/actions/document-edit.png
16x16/actions/list-remove.png
16x16/actions/speaker.png
16x16/actions/list-add.png
16x16/actions/document-save.png
16x16/actions/network-connect.png
16x16/actions/document-save-as.png
16x16/actions/dialog-close.png
16x16/actions/edit-delete.png
16x16/actions/view-media-artist.png
16x16/actions/view-media-lyrics.png
16x16/actions/arrow-up.png
16x16/actions/media-skip-forward.png
16x16/actions/edit-find.png
16x16/actions/application-exit.png
16x16/actions/media-playback-start.png
16x16/actions/view-media-playlist.png
16x16/actions/dialog-ok.png
16x16/actions/view-choose.png
16x16/actions/dialog-cancel.png
16x16/actions/media-skip-backward.png
16x16/actions/configure.png
16x16/actions/edit-clear-list.png
16x16/actions/go-previous.png
16x16/actions/view-fullscreen.png
16x16/actions/system-run.png
16x16/actions/process-stop.png
16x16/actions/edit-clear-locationbar-rtl.png
16x16/actions/edit-rename.png
16x16/actions/tools-wizard.png
16x16/actions/document-import.png
16x16/actions/go-next.png
16x16/actions/media-playback-stop.png
16x16/actions/configure-shortcuts.png
16x16/actions/document-export.png
16x16/actions/edit-clear-locationbar-ltr.png
16x16/status/audio-volume-low.png
16x16/status/media-playlist-shuffle.png
16x16/status/audio-volume-muted.png
16x16/status/audio-volume-high.png
16x16/status/dialog-error.png
16x16/status/dialog-warning.png
16x16/status/audio-volume-medium.png
16x16/status/dialog-information.png
16x16/status/object-locked.png
16x16/mimetypes/inode-directory.png
16x16/mimetypes/audio-x-generic.png
16x16/categories/preferences-system-network.png
16x16/categories/preferences-other.png
16x16/categories/applications-internet.png
16x16/devices/video-display.png
16x16/devices/multimedia-player.png
16x16/devices/network-wired.png
16x16/devices/media-optical.png
16x16/apps/system-file-manager.png
16x16/apps/preferences-desktop-keyboard.png
48x48/actions/view-fullscreen.png
48x48/actions/configure-shortcuts.png
48x48/status/audio-volume-low.png
48x48/status/media-playlist-shuffle.png
48x48/status/audio-volume-muted.png
48x48/status/audio-volume-high.png
48x48/status/dialog-error.png
48x48/status/dialog-warning.png
48x48/status/audio-volume-medium.png
48x48/status/dialog-information.png
48x48/status/object-locked.png
48x48/categories/preferences-system-network.png
48x48/categories/preferences-other.png
48x48/categories/applications-internet.png
48x48/devices/video-display.png
48x48/devices/multimedia-player.png
48x48/devices/network-wired.png
48x48/devices/media-optical.png
48x48/apps/preferences-desktop-keyboard.png
128x128/categories/applications-internet.png
128x128/devices/media-optical.png
256x256/categories/applications-internet.png
256x256/devices/media-optical.png)

foreach(ICON ${OXYGEN_ICONS})
    get_filename_component(ICON_PATH ${ICON} PATH)
    install(FILES ${CANTATA_OXYGEN_DIR}/${ICON} DESTINATION ${CMAKE_INSTALL_PREFIX}/icons/oxygen/${ICON_PATH})
endforeach(ICON ${OXYGEN_ICONS})
install(FILES index.theme DESTINATION ${CMAKE_INSTALL_PREFIX}/icons/oxygen)
install(FILES "LICENSE.Creative Common Attribution-ShareAlike 3.0 License.html" LICENSE.LGPL_V3 README DESTINATION ${CMAKE_INSTALL_PREFIX}/icons)

=== debian/changelog ===
cantata (1.0.3-0ubuntu3) saucy; urgency=low

  * Built with support for playing back MPD HTTP streams via Phonon
  * New build-depends libmp3lame-dev
  * New build-depends libtag-extras-dev, libspeexdsp-dev
  * New build-depends libudev-dev, libavcodec-dev, libavformat-dev

 -- Ben Vassie <vassie@ntlworld.com>  Tue, 02 June 2013 19:09:37 +0100

cantata (1.0.3-0ubuntu2) raring; urgency=low

  * New upstream release

 -- Ben Vassie <vassie@ntlworld.com>  Tue, 28 May 2013 14:05:41 +0100

cantata (1.0.2-0ubuntu2) raring; urgency=low

  * New upstream release
  * New build-depends libcdparanoia-dev, libmusicbrainz5-dev, libcddb2-dev

 -- Ben Vassie <vassie@ntlworld.com>  Tue, 21 May 2013 20:53:39 +0100

=== debian/control ===
Source: cantata
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Ben Vassie <vassie@ntlworld.com>
Build-Depends: debhelper (>= 8.0.0), cmake, libx11-dev, libqt4-dev, kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libcddb2-dev, libmusicbrainz5-dev, libmtp-dev, libmpg123-dev, libmp3lame-dev, libphonon-dev, libtag-extras-dev, libspeexdsp-dev, libudev-dev, libavcodec-dev, libavformat-dev
Standards-Version: 3.9.4
Homepage: https://code.google.com/p/cantata

Package: cantata
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: client for music player daemon (MPD)
 Cantata is a Qt4/KDE4 client for the music player daemon
 (MPD). Originally started as a fork of QtMPC, the code is now very
 different. Cantata can be compiled with KDE support, or as a pure Qt4
 application. The interface is very configurable - most views can be
 shown as either a list or tree structure.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_PHONON=ON

%:
	dh $@

## cantata 1.1.0

=== CMakeLists.txt ===
PROJECT(cantata)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TGZ")
set(DEBIAN_PACKAGE_DESCRIPTION "Qt4/KDE4 Client for MPD")
set(DEBIAN_PACKAGE_SECTION "kde4")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "1")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(CPACK_PACKAGE_VERSION_SPIN "")
set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
set(CANTATA_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(CANTATA_VERSION_FULL "${CANTATA_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CANTATA_VERSION_FULL}${CPACK_PACKAGE_VERSION_SPIN}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CANTATA_VERSION_FULL}${CPACK_PACKAGE_VERSION_SPIN}")
set(CPACK_SOURCE_IGNORE_FILES  "/.svn/;CMakeLists.txt.user")
include(CPack)

option(ENABLE_TAGLIB "Enable TagLib library(required for tag editing, replaygain calculation, device support, etc)" ON)
option(ENABLE_TAGLIB_EXTRAS "Enable TagLib-Extras library(used by tag editing, replaygain calculation, device support, etc)" ON)
option(ENABLE_HTTP_STREAM_PLAYBACK "Enable playback of MPD HTTP streams(Phonon required for Qt4, QtMultimedia for Qt5)" OFF)
option(ENABLE_KDE "Enable KDE libraries" ON)
option(ENABLE_QT5 "Build against Qt5" OFF)
option(ENABLE_MTP "Enable MTP library(required to support MTP devices)" ON)
option(ENABLE_FFMPEG "Enable ffmpeg/libav libraries(required for replaygain calculation)" ON)
option(ENABLE_MPG123 "Enable mpg123 libraries(required for replaygain calculation)" ON)
option(ENABLE_SPEEXDSP "Enable SpeexDSP libraries(used to speed-up replaygain calculation)" ON)
option(ENABLE_UDISKS2 "Build UDisks2 backend, and NOT UDisks, for Qt builds" OFF)
option(ENABLE_OVERLAYSCROLLBARS "Enable support for overlay style scrollbars when using QGtkStyle(Linux only)" OFF)
option(ENABLE_CDPARANOIA "Enable CDParanoia libraries(required for AudioCD support)" ON)
option(ENABLE_CDDB "Enable CDDB libraries(either this or MusicBrianz required for AudioCD support)" ON)
option(ENABLE_MUSICBRAINZ "Enable MusicBrianz libraries(either this or CDDB required for AudioCD support)" ON)
option(ENABLE_PROXY_CONFIG "Enable proxy config in settings dialog" OFF)

if (ENABLE_QT5)
    set(ENABLE_KDE FALSE)
endif (ENABLE_QT5)

if (ENABLE_UDISKS2)
    set(WITH_SOLID_UDISKS2 ON)
endif (ENABLE_UDISKS2)

set(CANTATA_SRCS gui/application.cpp gui/main.cpp gui/initialsettingswizard.cpp gui/mainwindow.cpp gui/preferencesdialog.cpp
    gui/settings.cpp gui/covers.cpp gui/filesettings.cpp gui/interfacesettings.cpp gui/playbacksettings.cpp 
    gui/serversettings.cpp gui/librarypage.cpp gui/albumspage.cpp gui/folderpage.cpp gui/playlistspage.cpp gui/trayitem.cpp
    gui/cachesettings.cpp gui/coverdialog.cpp gui/stdactions.cpp
    streams/streamspage.cpp streams/streamdialog.cpp streams/streamfetcher.cpp streams/digitallyimportedsettings.cpp
    models/musiclibraryitemroot.cpp models/musiclibraryitemartist.cpp models/musiclibraryitemalbum.cpp models/musiclibrarymodel.cpp
    models/musiclibraryproxymodel.cpp models/playlistsmodel.cpp models/playlistsproxymodel.cpp models/playqueuemodel.cpp
    models/playqueueproxymodel.cpp models/dirviewmodel.cpp models/dirviewproxymodel.cpp models/dirviewitem.cpp models/dirviewitemdir.cpp
    models/streamsmodel.cpp models/streamsproxymodel.cpp models/albumsmodel.cpp models/albumsproxymodel.cpp models/proxymodel.cpp
    models/actionmodel.cpp models/digitallyimported.cpp models/streamsearchmodel.cpp models/musiclibraryitem.cpp models/musicmodel.cpp
    models/multimusicmodel.cpp
    mpd/mpdconnection.cpp mpd/mpdparseutils.cpp mpd/mpdstats.cpp mpd/mpdstatus.cpp mpd/song.cpp mpd/mpduser.cpp mpd/cuefile.cpp
    dynamic/dynamic.cpp dynamic/dynamicpage.cpp dynamic/dynamicproxymodel.cpp dynamic/dynamicruledialog.cpp dynamic/dynamicrulesdialog.cpp
    widgets/treeview.cpp widgets/listview.cpp widgets/itemview.cpp widgets/autohidingsplitter.cpp widgets/timeslider.cpp
    widgets/actionlabel.cpp widgets/playqueueview.cpp widgets/groupedview.cpp widgets/actionitemdelegate.cpp widgets/textbrowser.cpp
    widgets/coverwidget.cpp widgets/volumecontrol.cpp widgets/icons.cpp widgets/genrecombo.cpp widgets/toolbar.cpp widgets/menubutton.cpp
    widgets/toolbutton.cpp widgets/wizardpage.cpp widgets/statuslabel.cpp widgets/searchwidget.cpp widgets/messageoverlay.cpp
    widgets/basicitemdelegate.cpp
    network/networkaccessmanager.cpp network/networkproxyfactory.cpp
    devices/deviceoptions.cpp
    context/lyricsettings.cpp context/ultimatelyricsprovider.cpp context/ultimatelyrics.cpp context/lyricsdialog.cpp
    context/contextwidget.cpp context/view.cpp context/artistview.cpp context/albumview.cpp context/songview.cpp context/contextengine.cpp
    context/wikipediaengine.cpp context/wikipediasettings.cpp context/othersettings.cpp context/contextsettings.cpp context/togglelist.cpp
    context/lastfmengine.cpp context/metaengine.cpp context/backdropcreator.cpp)
set(CANTATA_MOC_HDRS
    gui/initialsettingswizard.h gui/mainwindow.h gui/settings.h gui/covers.h gui/folderpage.h gui/librarypage.h gui/albumspage.h
    gui/playlistspage.h gui/playbacksettings.h gui/serversettings.h gui/preferencesdialog.h gui/filesettings.h
    gui/interfacesettings.h gui/cachesettings.h gui/trayitem.h gui/coverdialog.h
    streams/streamspage.h streams/streamdialog.h streams/streamfetcher.h streams/digitallyimportedsettings.h
    models/musiclibrarymodel.h models/musiclibraryproxymodel.h models/playlistsmodel.h models/playlistsproxymodel.h models/playqueuemodel.h
    models/playqueueproxymodel.h models/dirviewmodel.h models/dirviewproxymodel.h models/albumsmodel.h models/streamsmodel.h
    models/actionmodel.h models/digitallyimported.h models/streamsearchmodel.h models/multimusicmodel.h
    mpd/mpdconnection.h mpd/mpdstats.h mpd/mpdstatus.h
    dynamic/dynamic.h dynamic/dynamicpage.h dynamic/dynamicruledialog.h dynamic/dynamicrulesdialog.h
    widgets/treeview.h widgets/listview.h widgets/itemview.h widgets/autohidingsplitter.h widgets/timeslider.h widgets/actionlabel.h
    widgets/playqueueview.h widgets/groupedview.h widgets/actionitemdelegate.h widgets/coverwidget.h widgets/volumecontrol.h
    widgets/genrecombo.h widgets/toolbar.h widgets/searchwidget.h widgets/messageoverlay.h
    network/networkaccessmanager.h
    context/togglelist.h context/ultimatelyrics.h context/ultimatelyricsprovider.h context/lyricsdialog.h
    context/contextwidget.h context/artistview.h context/albumview.h context/songview.h context/view.h context/contextengine.h
    context/wikipediaengine.h context/wikipediasettings.h context/othersettings.h context/lastfmengine.h context/metaengine.h
    context/backdropcreator.h)
set(CANTATA_UIS
    gui/initialsettingswizard.ui gui/mainwindow.ui gui/folderpage.ui gui/librarypage.ui gui/albumspage.ui gui/playlistspage.ui
    gui/filesettings.ui gui/interfacesettings.ui gui/playbacksettings.ui gui/serversettings.ui gui/coverdialog.ui
    streams/streamspage.ui streams/digitallyimportedsettings.ui
    dynamic/dynamicpage.ui dynamic/dynamicrule.ui dynamic/dynamicrules.ui
    context/togglelist.ui context/othersettings.ui
    widgets/itemview.ui)

if (ENABLE_TAGLIB)
    set(TAGLIB_MIN_VERSION "1.6")
    find_package(Taglib)
    if (TAGLIB_FOUND AND ENABLE_CDPARANOIA)
        find_package(Cdparanoia)
        if (CDPARANOIA_FOUND) 
            if (ENABLE_CDDB)
                find_package(CDDB)
            endif (ENABLE_CDDB)
            if (ENABLE_MUSICBRAINZ)
                find_package(MusicBrainz5)
            endif (ENABLE_MUSICBRAINZ)
        endif (CDPARANOIA_FOUND)
    endif (TAGLIB_FOUND AND ENABLE_CDPARANOIA)
endif (ENABLE_TAGLIB)

if (NOT ENABLE_QT5 AND NOT WIN32)
    find_package(QJSON)
endif (NOT ENABLE_QT5 AND NOT WIN32)

if (ENABLE_OVERLAYSCROLLBARS)
    add_definitions(-DENABLE_OVERLAYSCROLLBARS)
endif (ENABLE_OVERLAYSCROLLBARS)

if (TAGLIB_FOUND)
    set(CANTATA_SRCS ${CANTATA_SRCS}
        tags/tageditor.cpp tags/trackorganiser.cpp tags/tags.cpp
        devices/filenameschemedialog.cpp
        http/httpserversettings.cpp http/httpserver.cpp http/httpsocket.cpp
        online/onlineservicespage.cpp online/onlineservice.cpp online/jamendoservice.cpp online/jamendosettingsdialog.cpp
        online/magnatuneservice.cpp online/magnatunesettingsdialog.cpp online/soundcloudservice.cpp online/onlinedevice.cpp
        models/onlineservicesmodel.cpp)
    set(CANTATA_MOC_HDRS ${CANTATA_MOC_HDRS}
        tags/tageditor.h tags/trackorganiser.h
        http/httpserversettings.h http/httpsocket.h
        devices/filenameschemedialog.h devices/device.h
        online/onlineservice.h online/onlineservicespage.h online/jamendoservice.h online/magnatuneservice.h
        online/magnatunesettingsdialog.h online/onlinedevice.h online/magnatuneservice.h online/magnatunesettingsdialog.h
        online/onlinedevice.h online/soundcloudservice.h
        models/onlineservicesmodel.h)
    set(CANTATA_UIS ${CANTATA_UIS}
        http/httpserversettings.ui
        tags/tageditor.ui tags/trackorganiser.ui
        devices/filenameschemedialog.ui
         online/onlineservicespage.ui)
endif (TAGLIB_FOUND)

if (NOT WIN32)
    set(CANTATA_SRCS ${CANTATA_SRCS} dbus/mpris.cpp dbus/gnomemediakeys.cpp devices/mountpoints.cpp)
    set(CANTATA_MOC_HDRS ${CANTATA_MOC_HDRS} dbus/mpris.h dbus/gnomemediakeys.h devices/mountpoints.h)
    set(CANTATA_SRCS ${CANTATA_SRCS} dbus/notify.cpp)
    set(CANTATA_MOC_HDRS ${CANTATA_MOC_HDRS} dbus/notify.h)
endif (NOT WIN32)

set(CANTATA_RCS cantata.qrc)

include_directories(${CMAKE_SOURCE_DIR}/gui ${CMAKE_SOURCE_DIR}/mpd ${CMAKE_SOURCE_DIR}/models ${CMAKE_SOURCE_DIR}/widgets
                     ${CMAKE_SOURCE_DIR}/network ${CMAKE_SOURCE_DIR}/dbus ${CMAKE_SOURCE_DIR}/http
                     ${CMAKE_SOURCE_DIR}/devices ${CMAKE_SOURCE_DIR}/dynamic ${CMAKE_SOURCE_DIR}/support ${CMAKE_SOURCE_DIR}/streams
                     ${CMAKE_SOURCE_DIR}/tags ${CMAKE_SOURCE_DIR}/online ${CMAKE_SOURCE_DIR}/context ${CMAKE_BINARY_DIR}/support
                     ${CMAKE_SOURCE_DIR}/3rdparty ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

if (ENABLE_QT5)
    find_package(Qt5Widgets REQUIRED)
    find_package(Qt5Xml REQUIRED)
    find_package(Qt5Network REQUIRED)
    find_package(Qt5Concurrent REQUIRED)
    set(QTCORELIBS ${Qt5Core_LIBRARIES})
    set(QTLIBS ${QTCORELIBS} ${Qt5Widgets_LIBRARIES} ${Qt5Network_LIBRARIES} ${Qt5Xml_LIBRARIES} ${Qt5Concurrent_LIBRARIES})
    set(QTINCLUDES ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Network_INCLUDE_DIRS} ${Qt5Xml_INCLUDE_DIRS} ${Qt5Core_INCLUDE_DIRS} ${Qt5Concurrent_INCLUDE_DIRS})
    add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Network_DEFINITIONS} ${Qt5Xml_DEFINITIONS} ${Qt5Concurrent_DEFINITIONS})
    set(CMAKE_CXX_FLAGS "${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
    if (NOT WIN32)
        find_package(Qt5DBus REQUIRED)
        set(QTLIBS ${QTLIBS} ${Qt5DBus_LIBRARIES})
        set(QTINCLUDES ${QTINCLUDES} ${Qt5DBus_INCLUDE_DIRS})
        add_definitions(${Qt5DBus_DEFINITIONS})
    endif (NOT WIN32)
else (ENABLE_QT5)
    find_package(Qt4 REQUIRED QtCore QtGui QtXml QtNetwork)
    set(QTCORELIBS ${QT_QTCORE_LIBRARY})
    set(QTLIBS ${QT_QTSVG_LIBRARY} ${QT_QTXML_LIBRARY} ${QTCORELIBS} ${QT_QTGUI_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTDBUS_LIBRARY})
    set(QTINCLUDES ${QT_INCLUDES})
    add_definitions(-DQT_NO_STL -DQT_NO_CAST_TO_ASCII -Wall -Wextra)
endif (ENABLE_QT5)

find_package(ZLIB REQUIRED)

if (NOT WIN32)
    set_SOURCE_FILES_PROPERTIES(dbus/org.gnome.SettingsDaemon.xml dbus/org.gnome.SettingsDaemon.MediaKeys.xml PROPERTIES NO_NAMESPACE TRUE)

    if (ENABLE_QT5)
        qt5_add_dbus_adaptor(CANTATA_SRCS dbus/org.mpris.MediaPlayer2.Player.xml dbus/mpris.h Mpris)

=== replaygain/CMakeLists.txt ===
macro(cantata_check_for_sse)
    # check for SSE extensions
    include(CheckCXXSourceRuns)
    if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
        set(CMAKE_REQUIRED_FLAGS "-msse3")
        check_cxx_source_runs("
            #include <pmmintrin.h>
            int main() { __m128d a, b; double vals[2] = {0}; a = _mm_loadu_pd(vals); b = _mm_hadd_pd(a,a); _mm_storeu_pd(vals, b); return 0; }"
            HAS_SSE3_EXTENSIONS)
        if (HAS_SSE3_EXTENSIONS)
            add_definitions("-msse3 -mfpmath=sse")
        else (HAS_SSE3_EXTENSIONS)
            # No sse3, check sse2
            set(CMAKE_REQUIRED_FLAGS "-msse2")
            check_cxx_source_runs("
                #include <emmintrin.h>
                int main() { __m128d a, b; double vals[2] = {0}; a = _mm_loadu_pd(vals); b = _mm_add_pd(a,a);  _mm_storeu_pd(vals,b); return 0; }"
                HAS_SSE2_EXTENSIONS)
            if (HAS_SSE2_EXTENSIONS)
                add_definitions("-msse2 -mfpmath=sse")
            else (HAS_SSE2_EXTENSIONS)
                # No sse2, check sse
                set(CMAKE_REQUIRED_FLAGS "-msse")
                check_cxx_source_runs("
                    #include <xmmintrin.h>
                    int main() { __m128 a, b; float vals[4] = {0}; a = _mm_loadu_ps(vals); b = a; b = _mm_add_ps(a,b); _mm_storeu_ps(vals,b); return 0; }"
                    HAS_SSE_EXTENSIONS)
                if (HAS_SSE_EXTENSIONS)
                    add_definitions("-msse -mfpmath=sse")
                endif (HAS_SSE_EXTENSIONS)
            endif (HAS_SSE2_EXTENSIONS)
        endif (HAS_SSE3_EXTENSIONS)
        set(CMAKE_REQUIRED_FLAGS)
    elseif (MSVC)
        check_cxx_source_runs("
            #include <emmintrin.h>
            int main() { __m128d a, b; double vals[2] = {0}; a = _mm_loadu_pd(vals);  b = _mm_add_pd(a,a);  _mm_storeu_pd(vals,b); return 0; }"
            HAS_SSE2_EXTENSIONS)
    endif (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
endmacro(cantata_check_for_sse)

if (FFMPEG_FOUND OR MPG123_FOUND)
    cantata_check_for_sse()
    include_directories(${QTINCLUDES} ${ZLIB_INCLUDE_DIRS})
    if (FFMPEG_FOUND)
        set(CANTATA_RG_SRCS ${CANTATA_RG_SRCS} ffmpeginput.cpp)
        include_directories(${FFMPEG_INCLUDE_DIRS})
    endif (FFMPEG_FOUND)
    if (MPG123_FOUND)
        set(CANTATA_RG_SRCS ${CANTATA_RG_SRCS} mpg123input.cpp)
        include_directories(${MPG123_INCLUDE_DIRS})
    endif (MPG123_FOUND)
    if (SPEEXDSP_FOUND)
        include_directories(${SPEEXDSP_INCLUDE_DIRS})
    endif (SPEEXDSP_FOUND)

    include_directories(${CMAKE_SOURCE_DIR}/replaygain ${CMAKE_SOURCE_DIR}/support)
    set(CANTATA_RG_SRCS ${CANTATA_RG_SRCS} main.cpp ebur128.c replaygain.cpp trackscanner.cpp jobcontroller.cpp ../support/thread.cpp)
    set(CANTATA_RG_MOC_HDRS ${CANTATA_RG_MOC_HDRS} replaygain.h trackscanner.h jobcontroller.h ../support/thread.h)

    if (ENABLE_KDE_SUPPORT)
        kde4_add_executable(cantata-replaygain ${CANTATA_RG_SRCS} ${CANTATA_RG_MOC_SRCS})
        install(TARGETS cantata-replaygain RUNTIME DESTINATION lib/cantata)
    else (ENABLE_KDE_SUPPORT)
        if (ENABLE_QT5)
            QT5_WRAP_CPP(CANTATA_RG_MOC_SRCS ${CANTATA_RG_MOC_HDRS})
        else (ENABLE_QT5)
            INCLUDE(${QT_USE_FILE})
            QT4_WRAP_CPP(CANTATA_RG_MOC_SRCS ${CANTATA_RG_MOC_HDRS})
        endif (ENABLE_QT5)

        if (WIN32)
            set(CMAKE_BUILD_TYPE "Release")
            ADD_EXECUTABLE(cantata-replaygain WIN32 ${CANTATA_RG_SRCS} ${CANTATA_RG_MOC_SRCS} ${CANTATA_PO})
            install(TARGETS cantata-replaygain DESTINATION ${CMAKE_INSTALL_PREFIX})
        else (WIN32)
            ADD_EXECUTABLE(cantata-replaygain ${CANTATA_RG_SRCS} ${CANTATA_RG_MOC_SRCS})
            install(TARGETS cantata-replaygain RUNTIME DESTINATION lib/cantata)
        endif (WIN32)
    endif (ENABLE_KDE_SUPPORT)

    if (NOT ENABLE_KDE_SUPPORT AND NOT WIN32)
        target_link_libraries(cantata-replaygain X11)
    endif (NOT ENABLE_KDE_SUPPORT AND NOT WIN32)
    if (FFMPEG_FOUND)
        target_link_libraries(cantata-replaygain ${FFMPEG_LIBRARIES})
    endif (FFMPEG_FOUND)
    if (MPG123_FOUND)
        target_link_libraries(cantata-replaygain ${MPG123_LIBRARIES})
    endif (MPG123_FOUND)
    if (SPEEXDSP_FOUND)
        target_link_libraries(cantata-replaygain ${SPEEXDSP_LIBRARIES})
    endif (SPEEXDSP_FOUND)
    if (TAGLIB-EXTRAS_FOUND)
        target_link_libraries(cantata-replaygain ${TAGLIB-EXTRAS_LIBRARIES})
        include_directories(${TAGLIB-EXTRAS_INCLUDES})
    endif (TAGLIB-EXTRAS_FOUND)
    target_link_libraries(cantata-replaygain ${QTCORELIBS} ${TAGLIB_LIBRARIES})
endif (FFMPEG_FOUND OR MPG123_FOUND)

=== debian/changelog ===
cantata (1.1.0-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Ben Vassie <vassie@ntlworld.com>  Thu, 15 Aug 2013 09:18:44 +0100

cantata (1.0.3-0ubuntu14) raring; urgency=low

  * Added debian/watch

 -- Ben Vassie <vassie@ntlworld.com>  Mon, 17 Jun 2013 15:21:18 +0100

cantata (1.0.3-0ubuntu13) raring; urgency=low

  * Cleaned up build-depeneds and rules

 -- Ben Vassie <vassie@ntlworld.com>  Wed, 12 Jun 2013 18:54:39 +0100

cantata (1.0.3-0ubuntu11) raring; urgency=low

  * Added build-depends libqt4-core, libqt4-gui libqt4-network
  * Added build-depends libqt4-xml, libqt4-dbus, kdelibs5-dev

 -- Ben Vassie <vassie@ntlworld.com>  Mon, 10 Jun 2013 09:06:01 +0100

cantata (1.0.3-0ubuntu10) raring; urgency=low

  * Fixed DCMAKE_INSTALL_PREFIX path

 -- Ben Vassie <vassie@ntlworld.com>  Sun, 09 Jun 2013 10:51:46 +0100

cantata (1.0.3-0ubuntu9) raring; urgency=low

  * New build-depends libtag-extras-dev, libspeexdsp-dev
  * New build-depends libudev-dev, libavcodec-dev, libavformat-dev

 -- Ben Vassie <vassie@ntlworld.com>  Wed, 05 Jun 2013 09:57:43 +0100

cantata (1.0.3-0ubuntu8) raring; urgency=low

  * Icon fixed that was missing during the PPA build

 -- Ben Vassie <vassie@ntlworld.com>  Wed, 05 Jun 2013 09:36:54 +0100

cantata (1.0.3-0ubuntu7) raring; urgency=low

  * Fixed missing icon

 -- Ben Vassie <vassie@ntlworld.com>  Tue, 04 Jun 2013 22:09:16 +0100

cantata (1.0.3-0ubuntu6) raring; urgency=low

  * Removed unused build-depends

 -- Ben Vassie <vassie@ntlworld.com>  Tue, 04 Jun 2013 10:48:02 +0100

cantata (1.0.3-0ubuntu5) raring; urgency=low

  * New build-depends libmp3lame-dev

 -- Ben Vassie <vassie@ntlworld.com>  Mon, 03 Jun 2013 19:07:17 +0100

cantata (1.0.3-0ubuntu3) raring; urgency=low

  * Built with support for playing back MPD HTTP streams via Phonon

 -- Ben Vassie <vassie@ntlworld.com>  Tue, 02 June 2013 19:09:37 +0100

## cantata 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
 set(CPACK_PACKAGE_VERSION_MINOR "1")
-set(CPACK_PACKAGE_VERSION_PATCH "0")
+set(CPACK_PACKAGE_VERSION_PATCH "2")
 set(CPACK_PACKAGE_VERSION_SPIN "")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(CANTATA_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")

=== debian/changelog ===
cantata (1.1.2-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Ben Vassie <vassie@ntlworld.com>  Thu, 05 Sep 2013 07:34:25 +0100

cantata (1.1.0-0ubuntu1~ubuntu13.04) raring; urgency=low

  * New upstream release

 -- Ben Vassie <vassie@ntlworld.com>  Thu, 15 Aug 2013 09:18:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ben Vassie <vassie@ntlworld.com>
-Build-Depends: debhelper (>= 8.0.0), cmake, libx11-dev, libqt4-dev, kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libcddb2-dev, libmusicbrainz5-dev, libmtp-dev, libmpg123-dev, libmp3lame-dev, libphonon-dev, libtag-extras-dev, libspeexdsp-dev, libudev-dev, libavcodec-dev, libavformat-dev
+Build-Depends: debhelper (>= 8.0.0), cmake, libx11-dev, libqt4-dev, kdelibs5-dev, libtag1-dev, libcdparanoia-dev, libcddb2-dev, libmusicbrainz5-dev, libmtp-dev, libmpg123-dev, libmp3lame-dev, libphonon-dev, libtag-extras-dev, libspeexdsp-dev, libudev-dev, libavcodec-dev, libavformat-dev, libqjson-dev
 Standards-Version: 3.9.4
 Homepage: https://code.google.com/p/cantata
